> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Update a Gift

PUT https://api.virtuoussoftware.com/api/Gift/{giftId}
Content-Type: application/json

Similar to other update methods in the API, excluding a property will remove it's value from the object.  
If you're only updating a single property, the entire model is still required.

**GiftDate** will just use the Date portion of the value to set the UTC date. There is no date or time conversion on this field, so make sure that the gift date is the UTC date of the gift.

Reference: https://virtuous.ferndocs.com/reference/crm-plus/giving/update-a-gift

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `giftId` (string, required)

### Body (application/json)

This endpoint expects an object.

- `giftType` (string, optional)
- `giftDate` (string, optional)
- `amount` (string, optional)
- `batch` (string, optional)
- `segmentId` (string, optional)
- `receiptSegmentId` (string, optional)
- `mediaOutletId` (string, optional)
- `notes` (string, optional)
- `isPrivate` (string, optional)
- `receiptDate` (string, optional)
- `contactIndividualId` (string, optional)
- `contactPassthroughId` (string, optional)
- `cashAccountingCode` (string, optional)
- `state` (string, optional)
- `isTaxDeductible` (string, optional)
- `giftAskId` (string, optional)
- `passthroughGiftAskId` (string, optional)
- `grantId` (string, optional)
- `contactMembershipId` (string, optional)
- `currencyCode` (string, optional)
- `exchangeRate` (string, optional)
- `checkNumber` (string, optional)
- `creditCardType` (string, optional)
- `cryptocoinType` (string, optional)
- `transactionHash` (string, optional)
- `coinSoldForCash` (string, optional)
- `coinAmount` (string, optional)
- `dateCoinWasSold` (string, optional)
- `coinSaleAmount` (string, optional)
- `tickerSymbol` (string, optional)
- `numberOfShares` (string, optional)
- `stockSoldForCash` (string, optional)
- `dateStockWasSold` (string, optional)
- `stockSaleAmount` (string, optional)
- `iraCustodian` (string, optional)
- `nonCashGiftTypeId` (string, optional)
- `nonCashGiftType` (string, optional)
- `description` (string, optional)
- `nonCashSoldForCash` (string, optional)
- `dateNonCashWasSold` (string, optional)
- `nonCashOriginalAmount` (string, optional)
- `nonCashSaleAmount` (string, optional)
- `giftDesignations` (list of ApiGiftGiftIdPutRequestBodyContentApplicationJsonSchemaGiftDesignationsItems, optional)
- `giftPremiums` (list of ApiGiftGiftIdPutRequestBodyContentApplicationJsonSchemaGiftPremiumsItems, optional)
- `pledgePayments` (list of ApiGiftGiftIdPutRequestBodyContentApplicationJsonSchemaPledgePaymentsItems, optional)
- `recurringGiftPayments` (list of ApiGiftGiftIdPutRequestBodyContentApplicationJsonSchemaRecurringGiftPaymentsItems, optional)
- `tributeType` (string, optional)
- `tributeId` (string, optional)
- `tributeDescription` (string, optional)
- `acknowledgeeId` (string, optional)
- `customFields` (list of ApiGiftGiftIdPutRequestBodyContentApplicationJsonSchemaCustomFieldsItems, optional)

## Response

### 200

OK

- `id` (string, optional)
- `transactionSource` (string, optional)
- `transactionId` (string, optional)
- `contactId` (string, optional)
- `contactName` (string, optional)
- `contactUrl` (string, optional)
- `giftType` (string, optional)
- `giftTypeFormatted` (string, optional)
- `giftDate` (string, optional)
- `giftDateFormatted` (string, optional)
- `amount` (string, optional)
- `amountFormatted` (string, optional)
- `currencyCode` (string, optional)
- `exchangeRate` (string, optional)
- `baseCurrencyCode` (string, optional)
- `batch` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `segmentId` (string, optional)
- `segment` (string, optional)
- `segmentCode` (string, optional)
- `segmentUrl` (string, optional)
- `mediaOutletId` (string, optional)
- `mediaOutlet` (string, optional)
- `grantId` (string, optional)
- `grant` (string, optional)
- `grantUrl` (string, optional)
- `notes` (string, optional)
- `tribute` (string, optional)
- `tributeId` (string, optional)
- `tributeType` (string, optional)
- `acknowledgeeIndividualId` (string, optional)
- `receiptDate` (string, optional)
- `receiptDateFormatted` (string, optional)
- `contactPassthroughId` (string, optional)
- `contactPassthroughUrl` (string, optional)
- `contactIndividualId` (string, optional)
- `cashAccountingCode` (string, optional)
- `giftAskId` (string, optional)
- `contactMembershipId` (string, optional)
- `giftDesignations` (list of ApiGiftGiftIdPutResponsesContentApplicationJsonSchemaGiftDesignationsItems, optional)
- `giftPremiums` (list of ApiGiftGiftIdPutResponsesContentApplicationJsonSchemaGiftPremiumsItems, optional)
- `pledgePayments` (list of ApiGiftGiftIdPutResponsesContentApplicationJsonSchemaPledgePaymentsItems, optional)
- `recurringGiftPayments` (list of ApiGiftGiftIdPutResponsesContentApplicationJsonSchemaRecurringGiftPaymentsItems, optional)
- `giftUrl` (string, optional)
- `isPrivate` (string, optional)
- `isTaxDeductible` (string, optional)
- `customFields` (list of ApiGiftGiftIdPutResponsesContentApplicationJsonSchemaCustomFieldsItems, optional)

## Errors

### 400 Bad Request Error

BadRequest

- `any`

## Types

### ApiGiftGiftIdPutRequestBodyContentApplicationJsonSchemaGiftDesignationsItems

- `projectId` (string, optional)
- `amount` (string, optional)
- `state` (string, optional)

### ApiGiftGiftIdPutRequestBodyContentApplicationJsonSchemaGiftPremiumsItems

- `premiumId` (string, optional)
- `quantity` (string, optional)
- `state` (string, optional)

### ApiGiftGiftIdPutRequestBodyContentApplicationJsonSchemaPledgePaymentsItems

- `id` (string, optional)
- `amount` (string, optional)
- `state` (string, optional)

### ApiGiftGiftIdPutRequestBodyContentApplicationJsonSchemaRecurringGiftPaymentsItems

- `id` (string, optional)
- `amount` (string, optional)
- `state` (string, optional)

### ApiGiftGiftIdPutRequestBodyContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

### ApiGiftGiftIdPutResponsesContentApplicationJsonSchemaGiftDesignationsItems

- `id` (string, optional)
- `projectId` (string, optional)
- `project` (string, optional)
- `projectCode` (string, optional)
- `externalAccountingCode` (string, optional)
- `projectType` (string, optional)
- `projectLocation` (string, optional)
- `projectUrl` (string, optional)
- `amountDesignated` (string, optional)
- `display` (string, optional)

### ApiGiftGiftIdPutResponsesContentApplicationJsonSchemaGiftPremiumsItems

- `id` (string, optional)
- `premiumId` (string, optional)
- `premium` (string, optional)
- `premiumUrl` (string, optional)
- `quantity` (string, optional)
- `display` (string, optional)

### ApiGiftGiftIdPutResponsesContentApplicationJsonSchemaPledgePaymentsItems

- `id` (string, optional)
- `expectedPaymentDate` (string, optional)
- `expectedAmount` (string, optional)
- `giftId` (string, optional)
- `actualAmount` (string, optional)

### ApiGiftGiftIdPutResponsesContentApplicationJsonSchemaRecurringGiftPaymentsItems

- `id` (string, optional)
- `gift` (ApiGiftGiftIdPutResponsesContentApplicationJsonSchemaRecurringGiftPaymentsItemsGift, optional)
- `expectedAmount` (string, optional)
- `expectedPaymentDate` (string, optional)
- `dismissPaymentDate` (string, optional)
- `fulfillPaymentDate` (string, optional)

### ApiGiftGiftIdPutResponsesContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

### ApiGiftGiftIdPutResponsesContentApplicationJsonSchemaRecurringGiftPaymentsItemsGift

- `id` (string, optional)
- `contactId` (string, optional)
- `giftDate` (string, optional)
- `amount` (string, optional)

## Examples

**Request**

```json
{
  "giftType": "<string>",
  "giftDate": "<dateTime>",
  "amount": "<double>",
  "batch": "<string>",
  "segmentId": "<integer>",
  "receiptSegmentId": "<integer>",
  "mediaOutletId": "<integer>",
  "notes": "<string>",
  "isPrivate": "<boolean>",
  "receiptDate": "<dateTime>",
  "contactIndividualId": "<integer>",
  "contactPassthroughId": "<integer>",
  "cashAccountingCode": "<string>",
  "state": "<string>",
  "isTaxDeductible": "<boolean>",
  "giftAskId": "<integer>",
  "passthroughGiftAskId": "<integer>",
  "grantId": "<integer>",
  "contactMembershipId": "<integer>",
  "currencyCode": "<string>",
  "exchangeRate": "<decimal>",
  "checkNumber": "<string>",
  "creditCardType": "<string>",
  "cryptocoinType": "<string>",
  "transactionHash": "<string>",
  "coinSoldForCash": "<boolean>",
  "coinAmount": "<double>",
  "dateCoinWasSold": "<dateTime>",
  "coinSaleAmount": "<double>",
  "tickerSymbol": "<string>",
  "numberOfShares": "<double>",
  "stockSoldForCash": "<boolean>",
  "dateStockWasSold": "<dateTime>",
  "stockSaleAmount": "<double>",
  "iraCustodian": "string",
  "nonCashGiftTypeId": "<integer>",
  "nonCashGiftType": "<string>",
  "description": "<string>",
  "nonCashSoldForCash": "<boolean>",
  "dateNonCashWasSold": "<dateTime>",
  "nonCashOriginalAmount": "<double>",
  "nonCashSaleAmount": "<double>",
  "giftDesignations": [
    {
      "projectId": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    },
    {
      "projectId": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    }
  ],
  "giftPremiums": [
    {
      "premiumId": "<integer>",
      "quantity": "<integer>",
      "state": "<string>"
    },
    {
      "premiumId": "<integer>",
      "quantity": "<integer>",
      "state": "<string>"
    }
  ],
  "pledgePayments": [
    {
      "id": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    },
    {
      "id": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    }
  ],
  "recurringGiftPayments": [
    {
      "id": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    },
    {
      "id": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    }
  ],
  "tributeType": "<string>",
  "tributeId": "<integer>",
  "tributeDescription": "<string>",
  "acknowledgeeId": "<integer>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
```

**Response**

```json
{
  "id": "<integer>",
  "transactionSource": "<string>",
  "transactionId": "<string>",
  "contactId": "<integer>",
  "contactName": "<string>",
  "contactUrl": "<string>",
  "giftType": "<string>",
  "giftTypeFormatted": "<string>",
  "giftDate": "<dateTime>",
  "giftDateFormatted": "<string>",
  "amount": "<double>",
  "amountFormatted": "<string>",
  "currencyCode": "<string>",
  "exchangeRate": "<decimal>",
  "baseCurrencyCode": "<string>",
  "batch": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "segmentId": "<integer>",
  "segment": "<string>",
  "segmentCode": "<string>",
  "segmentUrl": "<string>",
  "mediaOutletId": "<integer>",
  "mediaOutlet": "<string>",
  "grantId": "<integer>",
  "grant": "<string>",
  "grantUrl": "<string>",
  "notes": "<string>",
  "tribute": "<string>",
  "tributeId": "<integer>",
  "tributeType": "<string>",
  "acknowledgeeIndividualId": "<integer>",
  "receiptDate": "<dateTime>",
  "receiptDateFormatted": "<string>",
  "contactPassthroughId": "<integer>",
  "contactPassthroughUrl": "<string>",
  "contactIndividualId": "<integer>",
  "cashAccountingCode": "<string>",
  "giftAskId": "<integer>",
  "contactMembershipId": "<integer>",
  "giftDesignations": [
    {
      "id": "<integer>",
      "projectId": "<integer>",
      "project": "<string>",
      "projectCode": "<string>",
      "externalAccountingCode": "<string>",
      "projectType": "<string>",
      "projectLocation": "<string>",
      "projectUrl": "<string>",
      "amountDesignated": "<double>",
      "display": "<string>"
    },
    {
      "id": "<integer>",
      "projectId": "<integer>",
      "project": "<string>",
      "projectCode": "<string>",
      "externalAccountingCode": "<string>",
      "projectType": "<string>",
      "projectLocation": "<string>",
      "projectUrl": "<string>",
      "amountDesignated": "<double>",
      "display": "<string>"
    }
  ],
  "giftPremiums": [
    {
      "id": "<integer>",
      "premiumId": "<integer>",
      "premium": "<string>",
      "premiumUrl": "<string>",
      "quantity": "<integer>",
      "display": "<string>"
    },
    {
      "id": "<integer>",
      "premiumId": "<integer>",
      "premium": "<string>",
      "premiumUrl": "<string>",
      "quantity": "<integer>",
      "display": "<string>"
    }
  ],
  "pledgePayments": [
    {
      "id": "<integer>",
      "expectedPaymentDate": "<dateTime>",
      "expectedAmount": "<double>",
      "giftId": "<integer>",
      "actualAmount": "<double>"
    },
    {
      "id": "<integer>",
      "expectedPaymentDate": "<dateTime>",
      "expectedAmount": "<double>",
      "giftId": "<integer>",
      "actualAmount": "<double>"
    }
  ],
  "recurringGiftPayments": [
    {
      "id": "<integer>",
      "gift": {
        "id": "<integer>",
        "contactId": "<integer>",
        "giftDate": "<dateTime>",
        "amount": "<double>"
      },
      "expectedAmount": "<double>",
      "expectedPaymentDate": "<dateTime>",
      "dismissPaymentDate": "<dateTime>",
      "fulfillPaymentDate": "<dateTime>"
    },
    {
      "id": "<integer>",
      "gift": {
        "id": "<integer>",
        "contactId": "<integer>",
        "giftDate": "<dateTime>",
        "amount": "<double>"
      },
      "expectedAmount": "<double>",
      "expectedPaymentDate": "<dateTime>",
      "dismissPaymentDate": "<dateTime>",
      "fulfillPaymentDate": "<dateTime>"
    }
  ],
  "giftUrl": "<string>",
  "isPrivate": "<boolean>",
  "isTaxDeductible": "<boolean>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
```

**SDK Code**

```python Giving_updateAGift_example
import requests

url = "https://api.virtuoussoftware.com/api/Gift/giftId"

payload = {
    "giftType": "<string>",
    "giftDate": "<dateTime>",
    "amount": "<double>",
    "batch": "<string>",
    "segmentId": "<integer>",
    "receiptSegmentId": "<integer>",
    "mediaOutletId": "<integer>",
    "notes": "<string>",
    "isPrivate": "<boolean>",
    "receiptDate": "<dateTime>",
    "contactIndividualId": "<integer>",
    "contactPassthroughId": "<integer>",
    "cashAccountingCode": "<string>",
    "state": "<string>",
    "isTaxDeductible": "<boolean>",
    "giftAskId": "<integer>",
    "passthroughGiftAskId": "<integer>",
    "grantId": "<integer>",
    "contactMembershipId": "<integer>",
    "currencyCode": "<string>",
    "exchangeRate": "<decimal>",
    "checkNumber": "<string>",
    "creditCardType": "<string>",
    "cryptocoinType": "<string>",
    "transactionHash": "<string>",
    "coinSoldForCash": "<boolean>",
    "coinAmount": "<double>",
    "dateCoinWasSold": "<dateTime>",
    "coinSaleAmount": "<double>",
    "tickerSymbol": "<string>",
    "numberOfShares": "<double>",
    "stockSoldForCash": "<boolean>",
    "dateStockWasSold": "<dateTime>",
    "stockSaleAmount": "<double>",
    "iraCustodian": "string",
    "nonCashGiftTypeId": "<integer>",
    "nonCashGiftType": "<string>",
    "description": "<string>",
    "nonCashSoldForCash": "<boolean>",
    "dateNonCashWasSold": "<dateTime>",
    "nonCashOriginalAmount": "<double>",
    "nonCashSaleAmount": "<double>",
    "giftDesignations": [
        {
            "projectId": "<integer>",
            "amount": "<double>",
            "state": "<string>"
        },
        {
            "projectId": "<integer>",
            "amount": "<double>",
            "state": "<string>"
        }
    ],
    "giftPremiums": [
        {
            "premiumId": "<integer>",
            "quantity": "<integer>",
            "state": "<string>"
        },
        {
            "premiumId": "<integer>",
            "quantity": "<integer>",
            "state": "<string>"
        }
    ],
    "pledgePayments": [
        {
            "id": "<integer>",
            "amount": "<double>",
            "state": "<string>"
        },
        {
            "id": "<integer>",
            "amount": "<double>",
            "state": "<string>"
        }
    ],
    "recurringGiftPayments": [
        {
            "id": "<integer>",
            "amount": "<double>",
            "state": "<string>"
        },
        {
            "id": "<integer>",
            "amount": "<double>",
            "state": "<string>"
        }
    ],
    "tributeType": "<string>",
    "tributeId": "<integer>",
    "tributeDescription": "<string>",
    "acknowledgeeId": "<integer>",
    "customFields": [
        {
            "name": "<string>",
            "value": "<string>",
            "displayName": "<string>"
        },
        {
            "name": "<string>",
            "value": "<string>",
            "displayName": "<string>"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Giving_updateAGift_example
const url = 'https://api.virtuoussoftware.com/api/Gift/giftId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"giftType":"<string>","giftDate":"<dateTime>","amount":"<double>","batch":"<string>","segmentId":"<integer>","receiptSegmentId":"<integer>","mediaOutletId":"<integer>","notes":"<string>","isPrivate":"<boolean>","receiptDate":"<dateTime>","contactIndividualId":"<integer>","contactPassthroughId":"<integer>","cashAccountingCode":"<string>","state":"<string>","isTaxDeductible":"<boolean>","giftAskId":"<integer>","passthroughGiftAskId":"<integer>","grantId":"<integer>","contactMembershipId":"<integer>","currencyCode":"<string>","exchangeRate":"<decimal>","checkNumber":"<string>","creditCardType":"<string>","cryptocoinType":"<string>","transactionHash":"<string>","coinSoldForCash":"<boolean>","coinAmount":"<double>","dateCoinWasSold":"<dateTime>","coinSaleAmount":"<double>","tickerSymbol":"<string>","numberOfShares":"<double>","stockSoldForCash":"<boolean>","dateStockWasSold":"<dateTime>","stockSaleAmount":"<double>","iraCustodian":"string","nonCashGiftTypeId":"<integer>","nonCashGiftType":"<string>","description":"<string>","nonCashSoldForCash":"<boolean>","dateNonCashWasSold":"<dateTime>","nonCashOriginalAmount":"<double>","nonCashSaleAmount":"<double>","giftDesignations":[{"projectId":"<integer>","amount":"<double>","state":"<string>"},{"projectId":"<integer>","amount":"<double>","state":"<string>"}],"giftPremiums":[{"premiumId":"<integer>","quantity":"<integer>","state":"<string>"},{"premiumId":"<integer>","quantity":"<integer>","state":"<string>"}],"pledgePayments":[{"id":"<integer>","amount":"<double>","state":"<string>"},{"id":"<integer>","amount":"<double>","state":"<string>"}],"recurringGiftPayments":[{"id":"<integer>","amount":"<double>","state":"<string>"},{"id":"<integer>","amount":"<double>","state":"<string>"}],"tributeType":"<string>","tributeId":"<integer>","tributeDescription":"<string>","acknowledgeeId":"<integer>","customFields":[{"name":"<string>","value":"<string>","displayName":"<string>"},{"name":"<string>","value":"<string>","displayName":"<string>"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Giving_updateAGift_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/Gift/giftId"

	payload := strings.NewReader("{\n  \"giftType\": \"<string>\",\n  \"giftDate\": \"<dateTime>\",\n  \"amount\": \"<double>\",\n  \"batch\": \"<string>\",\n  \"segmentId\": \"<integer>\",\n  \"receiptSegmentId\": \"<integer>\",\n  \"mediaOutletId\": \"<integer>\",\n  \"notes\": \"<string>\",\n  \"isPrivate\": \"<boolean>\",\n  \"receiptDate\": \"<dateTime>\",\n  \"contactIndividualId\": \"<integer>\",\n  \"contactPassthroughId\": \"<integer>\",\n  \"cashAccountingCode\": \"<string>\",\n  \"state\": \"<string>\",\n  \"isTaxDeductible\": \"<boolean>\",\n  \"giftAskId\": \"<integer>\",\n  \"passthroughGiftAskId\": \"<integer>\",\n  \"grantId\": \"<integer>\",\n  \"contactMembershipId\": \"<integer>\",\n  \"currencyCode\": \"<string>\",\n  \"exchangeRate\": \"<decimal>\",\n  \"checkNumber\": \"<string>\",\n  \"creditCardType\": \"<string>\",\n  \"cryptocoinType\": \"<string>\",\n  \"transactionHash\": \"<string>\",\n  \"coinSoldForCash\": \"<boolean>\",\n  \"coinAmount\": \"<double>\",\n  \"dateCoinWasSold\": \"<dateTime>\",\n  \"coinSaleAmount\": \"<double>\",\n  \"tickerSymbol\": \"<string>\",\n  \"numberOfShares\": \"<double>\",\n  \"stockSoldForCash\": \"<boolean>\",\n  \"dateStockWasSold\": \"<dateTime>\",\n  \"stockSaleAmount\": \"<double>\",\n  \"iraCustodian\": \"string\",\n  \"nonCashGiftTypeId\": \"<integer>\",\n  \"nonCashGiftType\": \"<string>\",\n  \"description\": \"<string>\",\n  \"nonCashSoldForCash\": \"<boolean>\",\n  \"dateNonCashWasSold\": \"<dateTime>\",\n  \"nonCashOriginalAmount\": \"<double>\",\n  \"nonCashSaleAmount\": \"<double>\",\n  \"giftDesignations\": [\n    {\n      \"projectId\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"projectId\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"giftPremiums\": [\n    {\n      \"premiumId\": \"<integer>\",\n      \"quantity\": \"<integer>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"premiumId\": \"<integer>\",\n      \"quantity\": \"<integer>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"pledgePayments\": [\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"recurringGiftPayments\": [\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"tributeType\": \"<string>\",\n  \"tributeId\": \"<integer>\",\n  \"tributeDescription\": \"<string>\",\n  \"acknowledgeeId\": \"<integer>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Giving_updateAGift_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/Gift/giftId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"giftType\": \"<string>\",\n  \"giftDate\": \"<dateTime>\",\n  \"amount\": \"<double>\",\n  \"batch\": \"<string>\",\n  \"segmentId\": \"<integer>\",\n  \"receiptSegmentId\": \"<integer>\",\n  \"mediaOutletId\": \"<integer>\",\n  \"notes\": \"<string>\",\n  \"isPrivate\": \"<boolean>\",\n  \"receiptDate\": \"<dateTime>\",\n  \"contactIndividualId\": \"<integer>\",\n  \"contactPassthroughId\": \"<integer>\",\n  \"cashAccountingCode\": \"<string>\",\n  \"state\": \"<string>\",\n  \"isTaxDeductible\": \"<boolean>\",\n  \"giftAskId\": \"<integer>\",\n  \"passthroughGiftAskId\": \"<integer>\",\n  \"grantId\": \"<integer>\",\n  \"contactMembershipId\": \"<integer>\",\n  \"currencyCode\": \"<string>\",\n  \"exchangeRate\": \"<decimal>\",\n  \"checkNumber\": \"<string>\",\n  \"creditCardType\": \"<string>\",\n  \"cryptocoinType\": \"<string>\",\n  \"transactionHash\": \"<string>\",\n  \"coinSoldForCash\": \"<boolean>\",\n  \"coinAmount\": \"<double>\",\n  \"dateCoinWasSold\": \"<dateTime>\",\n  \"coinSaleAmount\": \"<double>\",\n  \"tickerSymbol\": \"<string>\",\n  \"numberOfShares\": \"<double>\",\n  \"stockSoldForCash\": \"<boolean>\",\n  \"dateStockWasSold\": \"<dateTime>\",\n  \"stockSaleAmount\": \"<double>\",\n  \"iraCustodian\": \"string\",\n  \"nonCashGiftTypeId\": \"<integer>\",\n  \"nonCashGiftType\": \"<string>\",\n  \"description\": \"<string>\",\n  \"nonCashSoldForCash\": \"<boolean>\",\n  \"dateNonCashWasSold\": \"<dateTime>\",\n  \"nonCashOriginalAmount\": \"<double>\",\n  \"nonCashSaleAmount\": \"<double>\",\n  \"giftDesignations\": [\n    {\n      \"projectId\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"projectId\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"giftPremiums\": [\n    {\n      \"premiumId\": \"<integer>\",\n      \"quantity\": \"<integer>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"premiumId\": \"<integer>\",\n      \"quantity\": \"<integer>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"pledgePayments\": [\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"recurringGiftPayments\": [\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"tributeType\": \"<string>\",\n  \"tributeId\": \"<integer>\",\n  \"tributeDescription\": \"<string>\",\n  \"acknowledgeeId\": \"<integer>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Giving_updateAGift_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Gift/giftId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"giftType\": \"<string>\",\n  \"giftDate\": \"<dateTime>\",\n  \"amount\": \"<double>\",\n  \"batch\": \"<string>\",\n  \"segmentId\": \"<integer>\",\n  \"receiptSegmentId\": \"<integer>\",\n  \"mediaOutletId\": \"<integer>\",\n  \"notes\": \"<string>\",\n  \"isPrivate\": \"<boolean>\",\n  \"receiptDate\": \"<dateTime>\",\n  \"contactIndividualId\": \"<integer>\",\n  \"contactPassthroughId\": \"<integer>\",\n  \"cashAccountingCode\": \"<string>\",\n  \"state\": \"<string>\",\n  \"isTaxDeductible\": \"<boolean>\",\n  \"giftAskId\": \"<integer>\",\n  \"passthroughGiftAskId\": \"<integer>\",\n  \"grantId\": \"<integer>\",\n  \"contactMembershipId\": \"<integer>\",\n  \"currencyCode\": \"<string>\",\n  \"exchangeRate\": \"<decimal>\",\n  \"checkNumber\": \"<string>\",\n  \"creditCardType\": \"<string>\",\n  \"cryptocoinType\": \"<string>\",\n  \"transactionHash\": \"<string>\",\n  \"coinSoldForCash\": \"<boolean>\",\n  \"coinAmount\": \"<double>\",\n  \"dateCoinWasSold\": \"<dateTime>\",\n  \"coinSaleAmount\": \"<double>\",\n  \"tickerSymbol\": \"<string>\",\n  \"numberOfShares\": \"<double>\",\n  \"stockSoldForCash\": \"<boolean>\",\n  \"dateStockWasSold\": \"<dateTime>\",\n  \"stockSaleAmount\": \"<double>\",\n  \"iraCustodian\": \"string\",\n  \"nonCashGiftTypeId\": \"<integer>\",\n  \"nonCashGiftType\": \"<string>\",\n  \"description\": \"<string>\",\n  \"nonCashSoldForCash\": \"<boolean>\",\n  \"dateNonCashWasSold\": \"<dateTime>\",\n  \"nonCashOriginalAmount\": \"<double>\",\n  \"nonCashSaleAmount\": \"<double>\",\n  \"giftDesignations\": [\n    {\n      \"projectId\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"projectId\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"giftPremiums\": [\n    {\n      \"premiumId\": \"<integer>\",\n      \"quantity\": \"<integer>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"premiumId\": \"<integer>\",\n      \"quantity\": \"<integer>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"pledgePayments\": [\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"recurringGiftPayments\": [\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"tributeType\": \"<string>\",\n  \"tributeId\": \"<integer>\",\n  \"tributeDescription\": \"<string>\",\n  \"acknowledgeeId\": \"<integer>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ]\n}")
  .asString();
```

```php Giving_updateAGift_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.virtuoussoftware.com/api/Gift/giftId', [
  'body' => '{
  "giftType": "<string>",
  "giftDate": "<dateTime>",
  "amount": "<double>",
  "batch": "<string>",
  "segmentId": "<integer>",
  "receiptSegmentId": "<integer>",
  "mediaOutletId": "<integer>",
  "notes": "<string>",
  "isPrivate": "<boolean>",
  "receiptDate": "<dateTime>",
  "contactIndividualId": "<integer>",
  "contactPassthroughId": "<integer>",
  "cashAccountingCode": "<string>",
  "state": "<string>",
  "isTaxDeductible": "<boolean>",
  "giftAskId": "<integer>",
  "passthroughGiftAskId": "<integer>",
  "grantId": "<integer>",
  "contactMembershipId": "<integer>",
  "currencyCode": "<string>",
  "exchangeRate": "<decimal>",
  "checkNumber": "<string>",
  "creditCardType": "<string>",
  "cryptocoinType": "<string>",
  "transactionHash": "<string>",
  "coinSoldForCash": "<boolean>",
  "coinAmount": "<double>",
  "dateCoinWasSold": "<dateTime>",
  "coinSaleAmount": "<double>",
  "tickerSymbol": "<string>",
  "numberOfShares": "<double>",
  "stockSoldForCash": "<boolean>",
  "dateStockWasSold": "<dateTime>",
  "stockSaleAmount": "<double>",
  "iraCustodian": "string",
  "nonCashGiftTypeId": "<integer>",
  "nonCashGiftType": "<string>",
  "description": "<string>",
  "nonCashSoldForCash": "<boolean>",
  "dateNonCashWasSold": "<dateTime>",
  "nonCashOriginalAmount": "<double>",
  "nonCashSaleAmount": "<double>",
  "giftDesignations": [
    {
      "projectId": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    },
    {
      "projectId": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    }
  ],
  "giftPremiums": [
    {
      "premiumId": "<integer>",
      "quantity": "<integer>",
      "state": "<string>"
    },
    {
      "premiumId": "<integer>",
      "quantity": "<integer>",
      "state": "<string>"
    }
  ],
  "pledgePayments": [
    {
      "id": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    },
    {
      "id": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    }
  ],
  "recurringGiftPayments": [
    {
      "id": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    },
    {
      "id": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    }
  ],
  "tributeType": "<string>",
  "tributeId": "<integer>",
  "tributeDescription": "<string>",
  "acknowledgeeId": "<integer>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Giving_updateAGift_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/Gift/giftId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"giftType\": \"<string>\",\n  \"giftDate\": \"<dateTime>\",\n  \"amount\": \"<double>\",\n  \"batch\": \"<string>\",\n  \"segmentId\": \"<integer>\",\n  \"receiptSegmentId\": \"<integer>\",\n  \"mediaOutletId\": \"<integer>\",\n  \"notes\": \"<string>\",\n  \"isPrivate\": \"<boolean>\",\n  \"receiptDate\": \"<dateTime>\",\n  \"contactIndividualId\": \"<integer>\",\n  \"contactPassthroughId\": \"<integer>\",\n  \"cashAccountingCode\": \"<string>\",\n  \"state\": \"<string>\",\n  \"isTaxDeductible\": \"<boolean>\",\n  \"giftAskId\": \"<integer>\",\n  \"passthroughGiftAskId\": \"<integer>\",\n  \"grantId\": \"<integer>\",\n  \"contactMembershipId\": \"<integer>\",\n  \"currencyCode\": \"<string>\",\n  \"exchangeRate\": \"<decimal>\",\n  \"checkNumber\": \"<string>\",\n  \"creditCardType\": \"<string>\",\n  \"cryptocoinType\": \"<string>\",\n  \"transactionHash\": \"<string>\",\n  \"coinSoldForCash\": \"<boolean>\",\n  \"coinAmount\": \"<double>\",\n  \"dateCoinWasSold\": \"<dateTime>\",\n  \"coinSaleAmount\": \"<double>\",\n  \"tickerSymbol\": \"<string>\",\n  \"numberOfShares\": \"<double>\",\n  \"stockSoldForCash\": \"<boolean>\",\n  \"dateStockWasSold\": \"<dateTime>\",\n  \"stockSaleAmount\": \"<double>\",\n  \"iraCustodian\": \"string\",\n  \"nonCashGiftTypeId\": \"<integer>\",\n  \"nonCashGiftType\": \"<string>\",\n  \"description\": \"<string>\",\n  \"nonCashSoldForCash\": \"<boolean>\",\n  \"dateNonCashWasSold\": \"<dateTime>\",\n  \"nonCashOriginalAmount\": \"<double>\",\n  \"nonCashSaleAmount\": \"<double>\",\n  \"giftDesignations\": [\n    {\n      \"projectId\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"projectId\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"giftPremiums\": [\n    {\n      \"premiumId\": \"<integer>\",\n      \"quantity\": \"<integer>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"premiumId\": \"<integer>\",\n      \"quantity\": \"<integer>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"pledgePayments\": [\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"recurringGiftPayments\": [\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    },\n    {\n      \"id\": \"<integer>\",\n      \"amount\": \"<double>\",\n      \"state\": \"<string>\"\n    }\n  ],\n  \"tributeType\": \"<string>\",\n  \"tributeId\": \"<integer>\",\n  \"tributeDescription\": \"<string>\",\n  \"acknowledgeeId\": \"<integer>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Giving_updateAGift_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "giftType": "<string>",
  "giftDate": "<dateTime>",
  "amount": "<double>",
  "batch": "<string>",
  "segmentId": "<integer>",
  "receiptSegmentId": "<integer>",
  "mediaOutletId": "<integer>",
  "notes": "<string>",
  "isPrivate": "<boolean>",
  "receiptDate": "<dateTime>",
  "contactIndividualId": "<integer>",
  "contactPassthroughId": "<integer>",
  "cashAccountingCode": "<string>",
  "state": "<string>",
  "isTaxDeductible": "<boolean>",
  "giftAskId": "<integer>",
  "passthroughGiftAskId": "<integer>",
  "grantId": "<integer>",
  "contactMembershipId": "<integer>",
  "currencyCode": "<string>",
  "exchangeRate": "<decimal>",
  "checkNumber": "<string>",
  "creditCardType": "<string>",
  "cryptocoinType": "<string>",
  "transactionHash": "<string>",
  "coinSoldForCash": "<boolean>",
  "coinAmount": "<double>",
  "dateCoinWasSold": "<dateTime>",
  "coinSaleAmount": "<double>",
  "tickerSymbol": "<string>",
  "numberOfShares": "<double>",
  "stockSoldForCash": "<boolean>",
  "dateStockWasSold": "<dateTime>",
  "stockSaleAmount": "<double>",
  "iraCustodian": "string",
  "nonCashGiftTypeId": "<integer>",
  "nonCashGiftType": "<string>",
  "description": "<string>",
  "nonCashSoldForCash": "<boolean>",
  "dateNonCashWasSold": "<dateTime>",
  "nonCashOriginalAmount": "<double>",
  "nonCashSaleAmount": "<double>",
  "giftDesignations": [
    [
      "projectId": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    ],
    [
      "projectId": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    ]
  ],
  "giftPremiums": [
    [
      "premiumId": "<integer>",
      "quantity": "<integer>",
      "state": "<string>"
    ],
    [
      "premiumId": "<integer>",
      "quantity": "<integer>",
      "state": "<string>"
    ]
  ],
  "pledgePayments": [
    [
      "id": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    ],
    [
      "id": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    ]
  ],
  "recurringGiftPayments": [
    [
      "id": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    ],
    [
      "id": "<integer>",
      "amount": "<double>",
      "state": "<string>"
    ]
  ],
  "tributeType": "<string>",
  "tributeId": "<integer>",
  "tributeDescription": "<string>",
  "acknowledgeeId": "<integer>",
  "customFields": [
    [
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    ],
    [
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/Gift/giftId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```